* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
}

html {
  scroll-behavior: smooth;
}

body {
  font-family: "Poppins", sans-serif;
  background-color: #0f172a;
  color: white;
}

nav {
  display: flex;
  justify-content: space-between;
  align-items: center;
  position: sticky;
  padding: 20px 80px;
  top: 0;
  z-index: 100;
  background-color: #111827;
}

.logo {
  font-size: 20px;
  font-weight: bold;
}

.logo span {
  color: #3b82f6;
}

.nav-links {
  display: flex;
  list-style: none;
  gap: 30px;
}

.nav-links a {
  text-decoration: none;
  color: white;
  font-weight: 500;
  transition: 0.3s;
}

.nav-links a:hover {
  color: #3b82f6;
}

.hero {
  height: 90vh;
  font-size: 34px;
  display: flex;
  justify-content: center;
  align-items: center;
  text-align: center;
  padding: 0 20px;
}

.hero-content {
  opacity: 0;
  transform: translateY(30px);
  transition: all 0.8s ease;
}

.hero-content h1 {
  font-size: 56px;

  margin-bottom: 15px;
}

.hero-content span {
  color: #3b82f6;
}

.hero-content h2 {
  font-size: 30px;

  color: #cbd5e1;

  margin-bottom: 20px;
}

.hero-content p {
  max-width: 700px;
  margin: auto;
  line-height: 1.8;
  margin-bottom: 45px;
  font-size: 18px;
}

.hero-buttons {
  display: flex;

  justify-content: center;

  gap: 20px;
}

.btn {
  display: inline-block;
  background: #3b82f6;
  color: white;
  padding: 12px 24px;
  border-radius: 12px;
  text-decoration: none;
  transition: 0.3s;
  font-weight: 600;
  font-size: 16px;
}

.btn:hover {
  background: #2563eb;
}

.about {
  padding: 100px 80px;
  text-align: center;
}

.about h2 {
  font-size: 40px;
  margin-bottom: 30px;
}

.about p {
  max-width: 850px;
  margin: auto;
  line-height: 1.8;
  color: #cbd5e1;
}

.skills {
  padding: 100px 80px;
}

.skills h2 {
  text-align: center;
  font-size: 40px;
  margin-bottom: 50px;
}

.skills-container {
  display: flex;
  justify-content: center;
  flex-wrap: wrap;
  gap: 20px;
}

.skill-card {
  background-color: #1e293b;
  padding: 20px 35px;
  border-radius: 10px;

  transition: 0.3s;
  cursor: pointer;
}

.skill-card:hover {
  transform: translateY(-8px);
  background-color: #2563eb;
  box-shadow: 0 10px 25px rgba(59, 130, 246, 0.35);
}

.projects {
  padding: 100px 80px;
}

.projects h2 {
  text-align: center;
  font-size: 40px;
  margin-bottom: 50px;
}

.project-card {
  background-color: #1e293b;

  padding: 30px;

  margin-bottom: 30px;

  border-radius: 12px;

  box-shadow: 0 6px 20px rgba(0, 0, 0, 0.3);

  transition: 0.3s;
}

.project-card:hover {
  transform: translateY(-8px);
  box-shadow: 0 15px 35px rgba(59, 130, 246, 0.35);
}

.project-card h3 {
  margin-bottom: 15px;
  color: #3b82f6;
}

.project-card p {
  color: #cbd5e1;
  line-height: 1.8;
}

.certificates {
  padding: 100px 80px;
  text-align: center;
}

.certificates h2 {
  font-size: 40px;
  margin-bottom: 30px;
}

.certificates p {
  max-width: 800px;
  margin: auto;
  line-height: 1.8;
  color: #cbd5e1;
}

.contact {
  padding: 100px 80px;
  text-align: center;
}

.contact a {
  color: #60a5fa;
  text-decoration: none;
  transition: 0.3s;
}

.contact a:hover {
  color: white;
  text-decoration: underline;
}

.contact h2 {
  font-size: 40px;
  margin-bottom: 30px;
}

.contact p {
  color: #cbd5e1;
  margin-bottom: 15px;
  font-size: 18px;
}

footer {
  text-align: center;
  padding: 30px;
  background-color: #111827;
  color: #94a3b8;
}

.secondary {
  background: transparent;
  border: 2px solid #3b82f6;
}

.secondary:hover {
  background: #3b82f6;
}

/* ====================== */
/* RESPONSIVE /*
/* ====================== */

@media (max-width: 768px) {
  nav {
    flex-direction: column;
    padding: 20px;
    gap: 20px;
  }

  .nav-links {
    flex-wrap: wrap;
    justify-content: center;
    gap: 15px;
  }

  .hero {
    height: auto;
    padding: 120px 20px;
  }

  .hero-content h1 {
    font-size: 42px;
  }

  .hero-content h2 {
    font-size: 24px;
  }

  .hero-content p {
    font-size: 16px;
  }

  .hero-buttons {
    flex-direction: column;
    align-items: center;
  }

  .about,
  .skills,
  .projects,
  .certificates,
  .contact {
    padding: 80px 20px;
  }

  .project h2,
  .skills h2,
  .about h2,
  .certificates h2,
  .contact h2 {
    font-size: 34px;
  }
}
